org.eclipse.gef.ui.palette

## Class PaletteViewerProvider

- java.lang.Object
- - org.eclipse.gef.ui.palette.PaletteViewerProvider

    public class PaletteViewerProvider
    extends java.lang.Object

PaletteViewerProvider provides a standard way of creating palette viewers that can be shared across different clients that need to create a palette (PaletteViewerPage and FlyoutPaletteComposite, for instance).

Since:
  3.0

### Constructor Summary

Constructors
Constructor and Description
`PaletteViewerProvider(EditDomain graphicalViewerDomain)` Constructor

### Method Summary

Methods
`protected void` `configurePaletteViewer(PaletteViewer viewer)` This method is invoked from `createPaletteViewer(Composite)`.
`PaletteViewer` `createPaletteViewer(Composite parent)` Creates a PaletteViewer on the given Composite
`EditDomain` `getEditDomain()`
`protected void` `hookPaletteViewer(PaletteViewer viewer)` This method is invoked from `createPaletteViewer(Composite)`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PaletteViewerProvider

    public PaletteViewerProvider(EditDomain graphicalViewerDomain)

Constructor

Parameters:
  `graphicalViewerDomain` - The EditDomain with which each newly created PaletteViewer will be registered

### Method Detail

#### configurePaletteViewer

    protected void configurePaletteViewer(PaletteViewer viewer)

This method is invoked from `createPaletteViewer(Composite)`. It configures the given viewer's settings.

Parameters:
  `viewer` - the viewer that is to be configured

#### createPaletteViewer

    public PaletteViewer createPaletteViewer(Composite parent)

Creates a PaletteViewer on the given Composite

Parameters:
  `parent` - the control for the PaletteViewer
Returns:
  the newly created PaletteViewer

#### getEditDomain

    public final EditDomain getEditDomain()

Returns:
  the EditDomain provided during creation of this PaletteViewerProvider

#### hookPaletteViewer

    protected void hookPaletteViewer(PaletteViewer viewer)

This method is invoked from `createPaletteViewer(Composite)`. It is a step in the process of setting up the PaletteViewer after it has been created.

Parameters:
  `viewer` - the viewer that is to be configured